Package org.apache.commons.daemon.support

# Class DaemonLoader.Context

java.lang.Object
org.apache.commons.daemon.support.DaemonLoader.Context

All Implemented Interfaces:
  `DaemonContext`

Enclosing class:
  `DaemonLoader`

public static class DaemonLoader.Context extends Object implements DaemonContext

## Constructor Summary

Constructors
Constructor
Description
`Context()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getArguments()`
Returns an array of `String` arguments supplied by the environment.
`DaemonController`
`getController()`
Returns `DaemonController` object that can be used to control the `Daemon` instance that this `DaemonContext` is passed to.
`void`
`setArguments(String[] args)`
`void`
`setController(DaemonController controller)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Context

public Context()

## Method Details

### getController

public DaemonController getController()
Description copied from interface: `DaemonContext`
Returns `DaemonController` object that can be used to control the `Daemon` instance that this `DaemonContext` is passed to.

Specified by:
  `getController` in interface `DaemonContext`

### setController

public void setController(DaemonController controller)

### getArguments

public String[] getArguments()
Description copied from interface: `DaemonContext`
Returns an array of `String` arguments supplied by the environment. corresponding to the array of arguments given in the `public static void main()` method used as an entry point to most other java programs.

Specified by:
  `getArguments` in interface `DaemonContext`

### setArguments

public void setArguments(String[] args)